Subject: Re: [PATCH] powerpc: Enable generic cpu idle-loop

From: Michael Ellerman <[email-masked]>
Date: Fri, 18 Aug 2023 21:18:24 +1000

Vaibhav Jain <[email-masked]> writes:
> This minor patch enables config option GENERIC_IDLE_POLL_SETUP for arch
> powerpc. This should add support for kernel param 'nohlt'.

Which is named after an 8086 instruction :), but oh well.

> Powerpc kernel also supports another kernel boot-time param called
> 'powersave' which can also be used to disable all cpu idle-states and
> forces CPU to an idle-loop similar to what cpu_idle_poll() does. This
> patch however makes powerpc kernel-parameters better aligned to the
> generic boot-time parameters.

It would be nice if we could make our powersave=off parameter just
enable this generic logic.

Have you looked at if that's possible? At a glance it looks like it
should be, when cpu_idle_force_poll is true do_idle() never calls
cpuidle_idle_call(), so the cpuidle drivers are never invoked.

cheers